import javax.microedition.lcdui.*;

public class ContextHelp extends Form implements CommandListener { 
    Monitor monitor;
    Displayable parent;

    static final String helpText = 
        "0-9 start/continue activity\n" + 
        "* new activity\n" + 
        "# stop current activity\n" + 
        "left/up/right/down scroll activities\n" + 
        "fire hide/show diagram"; 



    ContextHelp(Monitor monitor, Displayable parent) { 
        super("Help");
        this.monitor = monitor;
        this.parent = parent;
        append(helpText);
        addCommand(Monitor.BACK_CMD);
        setCommandListener(this);
        Display.getDisplay(monitor).setCurrent(this);
    }
    
    public void commandAction(Command c, Displayable d) 
    {
        Display.getDisplay(monitor).setCurrent(parent);
    }
}
           

    
